Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Rendering/vtkLight.h File Reference

`#include "vtkObject.h"`

Include dependency graph for vtkLight.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

class | vtkLight
| a virtual light for 3D rendering More...

## Defines

#define | VTK_LIGHT_TYPE_HEADLIGHT 1
#define | VTK_LIGHT_TYPE_CAMERA_LIGHT 2
#define | VTK_LIGHT_TYPE_SCENE_LIGHT 3

## Define Documentation

#define VTK_LIGHT_TYPE_HEADLIGHT 1

| Definition at line 71 of file vtkLight.h. Referenced by vtkLight::SetLightTypeToHeadlight().

#define VTK_LIGHT_TYPE_CAMERA_LIGHT 2

| Definition at line 72 of file vtkLight.h. Referenced by vtkLight::SetLightTypeToCameraLight().

#define VTK_LIGHT_TYPE_SCENE_LIGHT 3

| Definition at line 73 of file vtkLight.h. Referenced by vtkLight::SetLightTypeToSceneLight().